Subject: [rtcweb] draft-jesup-rtcweb-data-protocol-04 published

From: Randell Jesup <[email-masked]>
Date: Fri, 01 Mar 2013 03:36:35 -0500

FYI, draft-jesup-rtcweb-data-protocol-04 has been published:

      http://tools.ietf.org/html/draft-jesup-rtcweb-data-protocol-04

This is a major update based on discussions at the Interim, in-person 
afterwards and on the list.

This moves the protocol to a 1-way declarative bidirectional channel 
creation (0 RTT) with no need to signal channel creation in SDP, and 
also allows for external negotiation or predefined channels.  This 
provides websockets-like JS interface options, with the assumption that 
onopen will fire immediately at both ends (on sending Open at 
originator, and on receiving it at the other end).  It brings back the 
idea of an even/odd Stream selection to avoid stream ID glare.

-- 
Randell Jesup
[email-masked]